@if (authenticatedUser$ | async; as user) {
  <div
    class="full-width full-height flex-column overflow-hidden admin-workspace-grid-container"
  >
    <div class="flex-row">
      <div class="view-title-wrapper flex-row">
        <span class="view-title m-l-50">
          {{
            'sqtm-core.administration-workspace.users.connection-logs.title'
              | translate
          }}
        </span>
        @if (shouldShowResetFilterLink(activeFilters$ | async)) {
          <div>
            <sqtm-core-reset-filters-link
              (resetFiltersLinkPressed)="resetFilters()"
            ></sqtm-core-reset-filters-link>
          </div>
        }
      </div>
      @if (user.admin) {
        <div
          class="flex-fixed-size admin-workspace-grid-toolbar"
          [attr.data-test-toolbar-id]="'connection-log-toolbar'"
        >
          <i
            nz-icon
            nzType="sqtm-core-generic:export"
            nz-tooltip
            nzTooltipPlacement="topRight"
            [nzTooltipTitle]="
              'sqtm-core.administration-workspace.users.connection-logs.dialog.export.title'
                | translate
            "
            nzTheme="outline"
            class="current-workspace-button action-icon-size"
            [attr.data-test-toolbar-button-id]="'export-button'"
            (click)="openExportDialog()"
          >
          </i>
        </div>
      }
    </div>
    <div class="flex-row full-width full-height">
      <sqtm-app-user-workspace-anchors></sqtm-app-user-workspace-anchors>
      <div
        class="full-height full-width overflow-hidden sqtm-large-grid-container p-10 m-l-10"
      >
        <sqtm-core-grid></sqtm-core-grid>
      </div>
    </div>
  </div>
}
